{% extends 'rechnungstool/base.html' %}
{% load queryset %}

{% block title %}
Schließrechteverwaltung | {{ block.super }}
{% endblock %}

{% block content %}
    <h3>Schließrechteverwaltung</h3>
    {{ transponderview }}

    <style>
        .container {
            width: 100% !important;
            margin-left: 50px !important;
        }
        thead {
            background-color: white;
        }

        tr .border {
            border: 1pt solid gray;
        }

        th {
            text-align: center;
            vertical-align: bottom;
        }

        .checkbox {
            opacity: 100;
            pointer-events: all;
        }
    </style>

    <div class="row">
        <div class="col s12">
            <ul class="tabs">
                <li class="tab col s3"><a href="#tab-{{ transponder_view.title|slugify }}">
                    {{ transponder_view.title }}
                </a></li>
                <li class="tab col s3"><a href="#tab-{{ key_view.title|slugify }}">
                    {{ key_view.title }}
                </a></li>
            </ul>
        </div>

        <div id="tab-{{ transponder_view.title|slugify }}" class="col s12">
        {% for section in transponder_view.sections %}
            <h4>{{ section.title }}</h4>
            {% if section.transponders.count == 0 %}
                <h6>Es sind keine Transponder vorhanden</h6>
            {% else %}
            <table>
                <thead>
                    <tr>
                        <th colspan="2"></th>
                        {% for group in transponder_view.locking_groups %}
                            {% with locking_authorizations_filtered=group.locking_authorizations|is_public:True %}
                            <th class="border" colspan="{{ locking_authorizations_filtered.count }}">{{ group.name }}</th>
                            {% endwith %}
                        {% endfor %}
                    </tr>
                    <tr>
                        <th id="id">Transpondernr.</th>
                        <th id="carrier">Besitzer</th>
                        {% for group in transponder_view.locking_groups %}
                            {% for locking_auth in group.locking_authorizations.all %}
                                {% if locking_auth.is_public %}
                                    <th class="border"><span style="writing-mode: vertical-lr; -ms-writing-mode: tb-rl; transform: rotate(180deg);">{{ locking_auth.name }}</span></th>
                                {% endif %}
                            {% endfor %}
                        {% endfor %}
                        <th id="submit"></th>
                    </tr>
                </thead><tbody>
                    {% for transponder in section.transponders %}
                        <tr>
                            <td>{{ transponder.transponder_id }}</td>
                        {% if transponder.carrier %}
                            <td>
                                {{ transponder.carrier.name }}
                            </td>
                        {% else %}
                            <td><a href="{% url 'admin:index' %}core/transponder/{{ transponder.id }}/change" target="_blank">Zuweisen</a></td>
                        {% endif %}
                        <form method="POST" action="{% url 'transponder' %}">
                        {% csrf_token %}
                        <input name="transponder_id" type="hidden" value="{{ transponder.id }}"></input>
                        {% for group in transponder_view.locking_groups %}
                            {% for locking_auth in group.locking_authorizations.all %}
                                {% if locking_auth.is_public %}
                                {% if locking_auth in transponder.locking_authorizations.all %}
                                    <td class="border" style="background-color: rgb(200, 255, 200); color: green;">
                                        <input style="opacity: 100; pointer-events: all;" type="checkbox" id="lock_{{ transponder.id }}_{{ locking_auth.id }}" name="lock_{{ transponder.id }}_{{ locking_auth.id }}" checked></input>
                                    </td>
                                {% else %}
                                    <td class="border" style="background-color: rgb(255, 184, 184);"><input style="opacity: 100; pointer-events: all;" type="checkbox" name="lock_{{ transponder.id }}_{{ locking_auth.id }}"></input></td>
                                {% endif %}
                                {% endif %}
                            {% endfor %}
                        {% endfor %}
                            <td><button type="submit">Save</button></td>
                        </form>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
            {% endif %}
        {% endfor %}
        </div>

        <div id="tab-{{ key_view.title|slugify }}" class="col s12">
            {% for section in key_view.sections %}
                <h4>{{ section.title }}</h4>
                {% if section.keys.count == 0 %}
                    <h6>Es sind keine Schlüssel vorhanden</h6>
                {% else %}
                <table>
                    <thead>
                        <tr>
                            <th id='carrier'>Besitzer</th>
                            <th id='id'>Schlüsselnummer</th>
                            <th id='type'>Schlüsseltyp</th>
                        </tr>
                    </thead><tbody>
                        {% for key in section.keys %}
                            <tr>
                            {% if section.persons is None %}
                                <td><a href="{% url 'admin:index' %}core/key/{{ key.id }}/change" target="_blank">Hinzufügen</a></td>
                            {% else %}
                                {% ifchanged key.carrier %}
                                    <td rowspan="{{ key.carrier.keys.count }}">{{ key.carrier.name }}</td>
                                {% endifchanged %}
                            {% endif %}
                                <td>{{ key.number }}</td>
                                <td>{{ key.group }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
                {% endif %}
            {% endfor %}
        </div>
    </div>
    <script>
        $(document).ready(function(){
            $('.tabs').tabs();
            $('table').floatThead();
        });
    </script>
{% endblock %}
